<?php

namespace InternetGalerie\Igshop2\Domain\Repository;

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Persistence\Generic\Typo3QuerySettings;

/**
 * The repository for Orders
 */
class OptionWithPriceRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {
  protected $defaultOrderings = [
				      'sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING,
				      ];
  public function initializeObject() {
    // sehr haesslich -> TCA ist eigentlich falsch fuer Optionen !!!!
    $querySettings = GeneralUtility::makeInstance(Typo3QuerySettings::class);
    $querySettings->setRespectSysLanguage(FALSE);
    $querySettings->setRespectStoragePage(FALSE);
    $this->setDefaultQuerySettings($querySettings);
  }
}
?>
