<?php

namespace InternetGalerie\Igshop2\Domain\Repository;

class PropertycategoryRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {


    public function findByUidBackend(int $uid)
    {
        $query = $this->createQuery();
        $query->getQuerySettings()
              ->setIgnoreEnableFields(true)
              ->setEnableFieldsToBeIgnored(['hidden'])
              ->setRespectStoragePage(false);
        $query->matching(
            $query->equals('uid', (int) $uid)
        );
        return $query->execute()->getFirst();
    }

}