<?php
namespace InternetGalerie\Igshop2\Event;

use TYPO3\CMS\Extbase\Persistence\QueryInterface;

class ModifyProductSearchEvent
{
    protected QueryInterface $query;
    protected array $constraints = [];

    public function __construct(QueryInterface $query, array $constraints = [])
    {
        $this->query = $query;
        $this->constraints = $constraints;
    }

    public function getQuery(): QueryInterface
    {
        return $this->query;
    }

    public function setQuery(QueryInterface $query): void
    {
        $this->query = $query;
    }

    public function getConstraints(): array
    {
        return $this->constraints;
    }

    public function setConstraints(array $constraints = []): void
    {
        $this->constraints = $constraints;
    }
}