<?php
defined('TYPO3') or die();


\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'Feshop',
	'IG Shop: Liste'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'FeshopSlider',
	'IG Shop: Proukte Slider'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'FeshopShow',
	'IG Shop: Produktedetailseite'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'FeshopTopProduct',
	'IG Shop: Top Produkt'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'Fecart',
	'IG Shop: Warenkorb'
);


\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'PostFinanceHandler',
	'IG Shop: Postfinance Handler'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'PostFinanceCheckoutHandler',
	'IG Shop: Postfinance Checkout Handler'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'UserOrderHistory',
	'IG Shop: Bestellhistorie Benutzer'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'Igshop2',
    'AddressManagement',
    'IG Shop: Adressmanagement'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'Igshop2',
    'Categorynav',
    'IG Shop: Category Navigation'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'ReminderList',
	'IG Shop: Reminder List'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'Igshop2',
	'ProductComparison',
	'IG Shop: Product Comparison'
);

// Flexform
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_feshop'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_feshop'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_feshop', 'FILE:EXT:igshop2' . '/Configuration/FlexForms/flexform_ds_feshop.xml');

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_feshopshow'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_feshopshow'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_feshopshow', 'FILE:EXT:igshop2/Configuration/FlexForms/flexform_ds_feshopshow.xml');

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_feshoptopproduct'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_feshoptopproduct'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_feshoptopproduct', 'FILE:EXT:igshop2/Configuration/FlexForms/flexform_ds_feshoptopproduct.xml');

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_feshopslider'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_feshopslider'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_feshopslider', 'FILE:EXT:igshop2/Configuration/FlexForms/flexform_ds_feshopslider.xml');


$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_fecart'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_fecart'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_fecart', 'FILE:EXT:igshop2' . '/Configuration/FlexForms/flexform_ds_feshopfecart.xml');


$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_categorynav'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_categorynav'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_categorynav', 'FILE:EXT:igshop2' . '/Configuration/FlexForms/flexform_catnav.xml');

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist']['igshop2_reminderlist'] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist']['igshop2_reminderlist'] = 'pages, recursive, select_key';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('igshop2_reminderlist', 'FILE:EXT:igshop2' . '/Configuration/FlexForms/flexform_ds_reminderlist.xml');

$newFields = [
	'tx_igshop2_related_product' => [
		'label' => 'tx_igshop2_related_product',
		'config' => [
			'type' => 'passthrough',
		],
	],
];
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $newFields);
